Skip to content
Browse files

Make Gemfile point to DM git and add Gemfile.stable

This allows running specs against latest DataMapper
git master and/or latest stable DataMapper gems.

Usage:

  # run specs against git master
  bundle install && bundle exec rake spec

  # run specs against latest stable gems
  BUNDLE_GEMFILE=Gemfile.stable bundle install
  bundle exec rake spec
  • Loading branch information...
1 parent a047efd commit 2a9becc7697fbb4b13d08bbb8458e45bec23a2a3 @snusnu snusnu committed
Showing with 26 additions and 7 deletions.
  1. +12 −7 Gemfile
  2. +14 −0 Gemfile.stable
View
19 Gemfile
@@ -1,8 +1,13 @@
source 'http://gems.rubyforge.org'
-gem 'rspec', '1.3.1'
-gem 'echoe', '4.5.2'
-gem 'rake'
-gem 'dm-core', '1.0.2'
-gem 'dm-aggregates', '1.0.2'
-gem 'dm-migrations', '1.0.2'
-gem 'dm-sqlite-adapter', '1.0.2'
+
+gem 'dm-core', :git => 'https://github.com/datamapper/dm-core.git'
+gem 'dm-aggregates', :git => 'https://github.com/datamapper/dm-aggregates.git'
+
+group :development do
+ gem 'rspec', '1.3.1'
+ gem 'echoe', '4.5.2'
+ gem 'rake', '~> 0.8.7'
+ gem 'dm-migrations', :git => 'https://github.com/datamapper/dm-migrations.git'
+ gem 'dm-sqlite-adapter', :git => 'https://github.com/datamapper/dm-sqlite-adapter.git'
+ gem 'dm-do-adapter', :git => 'https://github.com/datamapper/dm-do-adapter.git'
+end
View
14 Gemfile.stable
@@ -0,0 +1,14 @@
+source 'http://gems.rubyforge.org'
+
+gem 'dm-core', '~> 1.1.0'
+gem 'dm-aggregates', '~> 1.1.0'
+
+group :development do
+ gem 'rspec', '1.3.1'
+ gem 'echoe', '4.5.2'
+ gem 'rake', '~> 0.8.7'
+
+ gem 'dm-migrations', '~> 1.1.0'
+ gem 'dm-sqlite-adapter', '~> 1.1.0'
+ gem 'dm-do-adapter', '~> 1.1.0'
+end

0 comments on commit 2a9becc

Please sign in to comment.
Something went wrong with that request. Please try again.